Description

The only way to install audacious 4.0 is through the tar.bz2 packages which requires a PhD in Computer Science to install. Also the

latest available packages on the apt repository are from the Byzantine era. So it's shocking that there isn't any alternative way to

install. Hence request for Flathub and Snap.

History

#1 - April 06, 2020 19:26 - John Lindgren

- Target version deleted (4.0.1)

If you're too impatient to wait for an official package from your distribution, and too busy to create one for yourself, you could find a PPA and install

Audacious from there.

Being shocked when someone else hasn't done the work for you, for free, isn't likely to get you very far though.

#2 - April 06, 2020 19:27 - John Lindgren

- Tracker changed from Feature to Support

#3 - April 06, 2020 19:46 - Ariadne Conill

Adding Audacious to flathub is on my todo, but it involves dealing with flatpak, so it is pretty far down the list.

#4 - April 07, 2020 05:29 - Xashyar X

John Lindgren wrote:

If you're too impatient to wait for an official package from your distribution, and too busy to create one for yourself, you could find a PPA and

install Audacious from there.

 

Believe me I have tried a couple times during the last 3 months.

https://launchpad.net/~nilarimogard/+archive/ubuntu/webupd8

The latest version available on webupd8 is currently 3.10, I couldn't find 4.0.1 anywhere.

So I followed the instructions from the INSTALL file in the audacious-4.0.1.tar.bz2 package (ran ./configure* and then make), which broke the

previous install and it's not launching anymore**.

So is the INSTALL file giving the thorough instructions?

When I run ./configure i get the following results in the end:

  D-Bus support:                          yes

  GTK+ support:                           no

  Qt support:                             yes
  Valgrind analysis support:              no

Should I install those separately and then run the make command? If so which versions of GTK+ and Valgrind is required?

I tried reinstalling both from apt and webupd8 repos to no avail.

#5 - April 07, 2020 05:30 - Xashyar X

t

#6 - April 07, 2020 13:08 - John Lindgren

https://launchpad.net/~ubuntuhandbook1/+archive/ubuntu/apps has 4.0

#7 - April 07, 2020 16:25 - Xashyar X

John Lindgren wrote:

https://launchpad.net/~ubuntuhandbook1/+archive/ubuntu/apps has 4.0

 

Tried it but I keep encountering the following error:

(I've tried running apt --fix-broken and apt install -f as well)

dpkg: error processing archive /var/cache/apt/archives/libaudqt5_4.0.1-1build1~ubuntu18.04_amd64.deb (--unpack

):

 trying to overwrite '/usr/lib/x86_64-linux-gnu/libaudqt.so.2', which is also in package libaudqt2:amd64 3.10-

1~webupd8~bionic0

Errors were encountered while processing:

 /var/cache/apt/archives/libaudqt5_4.0.1-1build1~ubuntu18.04_amd64.deb

E: Sub-process /usr/bin/dpkg returned an error code (1)

 

but looks like there are a lot dependency conflicts:

Check if you are using third party repositories. If so disable them, since they are a common source of problem

s.

Furthermore run the following command in a Terminal: apt-get install -f

Transaction failed: The package system is broken

 The following packages have unmet dependencies:

audacious-plugins: Depends: audacious-plugins-data (= 4.0-1build1~ubuntu18.04) but 4.0-1build1~ubuntu18.04 is 

installed

                   Depends: libaudcore5 (>= 4.0-1build2~ubuntu18.04) but 4.0.1-1build1~ubuntu18.04 is installe

d

                   Depends: libaudqt5 but it is not installed

                   Depends: libavcodec-extra57 (>= 7:3.4.6) but it is not installed

                   Depends: libavformat57 (>= 7:3.4.6) but 7:3.4.6-0ubuntu0.18.04.1 is installed

                   Depends: libavutil55 (>= 7:3.4.6) but 7:3.4.6-0ubuntu0.18.04.1 is installed

                   Depends: libcdio-cdda2 (>= 10.2+0.94+2) but 10.2+0.94+2-2build1 is installed

                   Depends: libcurl3-gnutls (>= 7.16.2) but 7.58.0-2ubuntu3.8 is installed

                   Depends: libgcc1 (>= 1:3.0) but 1:8.4.0-1ubuntu1~18.04 is installed

                   Depends: libmodplug1 (>= 1:0.8.8.5) but 1:0.8.9.0-1 is installed

                   Depends: libqt5core5a (>= 5.9.0~beta) but 5.9.5+dfsg-0ubuntu2.5 is installed

                   Depends: libqt5gui5 (>= 5.3.0) but 5.9.5+dfsg-0ubuntu2.5 is installed

                   Depends: libqt5network5 (>= 5.0.2) but 5.9.5+dfsg-0ubuntu2.5 is installed

                   Depends: libqt5widgets5 (>= 5.4.0) but 5.9.5+dfsg-0ubuntu2.5 is installed

                   Depends: libstdc++6 (>= 5.2) but 8.4.0-1ubuntu1~18.04 is installed

                   Depends: libwavpack1 (>= 4.40.0) but 5.1.0-2ubuntu1.4 is installed

                   Depends: zlib1g (>= 1:1.1.4) but 1:1.2.11.dfsg-0ubuntu2 is installed
After this I removed all of the third party repos (webupd8 and ubuntuhandbook1), removed audacious, ran apt autoremove and autoclean,

reinstalled audacious and audacious-plugins from the official repos and get the following error upon launch:

ERROR plugin-init.cc:156 [start_required]: No output plugin found.

(Did you forget to install audacious-plugins?)

Aborted (core dumped)

#8 - April 07, 2020 16:53 - John Lindgren

Xashyar X wrote:

Transaction failed: The package system is broken

 

Nice! I've been using Debian-based systems for over a decade and I've never seen that one before.

I don't know what you've done to your system, but you might want to consider starting over from scratch at this point.

I installed from that PPA onto a Linux Mint system (Ubuntu 18.04 base) and had no dependency issues, but it sounds like it would be best for you to

stick with the official repositories and just be patient until those are updated.

#9 - April 07, 2020 18:43 - Xashyar X

John Lindgren wrote:

Nice! I've been using Debian-based systems for over a decade and I've never seen that one before.

 



but it sounds like it would be best for you to stick with the official repositories and just be patient until those are updated.

 

At this point I'm not able to run audacious at all, even the official versions (3.9)

I don't know what you've done to your system, but you might want to consider starting over from scratch at this point.

 

By scratch you mean clean OS install?

The problem occurred exactly after I tried ./configure and make based on the instructions provided in the INSTALL file, so perhaps, there must be

some way to revert those specific changes without reverting all the changes (i.e. OS reinstall)?

May 15, 2025 3/4



Appreciate the help!

#10 - April 08, 2020 06:41 - John Lindgren

You could try ./configure and then "make uninstall", that should undo a previous "make install".

#11 - April 10, 2020 05:45 - Xashyar X

John Lindgren wrote:

You could try ./configure and then "make uninstall", that should undo a previous "make install".

 

Thanks, make uninstall did resolve the issue and now I've successfully installed 4.0.1 from ubuntuhandbook1 repo.

#12 - April 26, 2020 13:57 - Artem Tim

Good day. I've build initial Flatpak package. All works and almost all plugins built and works. Here https://github.com/flathub/flathub/pull/1470 Expect

upstream involment, hope this could interested you.

#13 - October 24, 2020 00:41 - John Lindgren

- Status changed from New to Closed

Flathub has Audacious now so it looks like we can close this. Thanks to all who worked on it!
